petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMTSGetTransientVariable

gets function to transform from state to transient variables

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetTransientVariable(DM dm,TSTransientVariable *tvar,void *ctx)

Logically Collective

### Input Arguments

dm -DM to be used with TS

### Output Arguments

| tvar | - a function that transforms in-place to transient variables
| ctx | - a context for tvar

### See Also

DMTSSetTransientVariable(), DMTSGetIFunction(), DMTSGetIJacobian()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages